Bug 51657 - Support quoted or escaped values containing space character for FcgidCmdOptions InitialEnv
Support quoted or escaped values containing space character for FcgidCmdOptio...
Status: RESOLVED FIXED
Product: Apache httpd-2
Classification: Unclassified
Component: mod_fcgid
2.2.19
PC Linux
: P2 enhancement with 2 votes (vote)
: ---
Assigned To: Apache HTTPD Bugs Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-08-12 15:34 UTC by Aron Ujvari
Modified: 2012-11-16 18:27 UTC (History)
0 users



Attachments
Respect quotes (and quoted quotes) in FcgidCmdOptions directive (2.83 KB, patch)
2012-10-29 20:05 UTC, William A. Rowe Jr.
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Ujvari 2011-08-12 15:34:39 UTC
Cannot set an initial evironment variable with a value containing space character using FcgidCmdOptions. It leads to syntax error.

I exptected the next configuration to work:

FcgidCmdOptions /path/to/my/program \
InitialEnv MY_VAR="my value with spaces"

I have tried escaping with backslash with no success. Both of the tries gave me syntax error.
Comment 1 William A. Rowe Jr. 2012-10-29 20:05:36 UTC
Created attachment 29521 [details]
Respect quotes (and quoted quotes) in FcgidCmdOptions directive

You can try the attached patch, which will using the config parser instead of a foolish whitespace parser for all the option args.
Comment 2 William A. Rowe Jr. 2012-11-16 18:27:50 UTC
Committed and anticipated in 2.3.8 tag.